python-axiom_0.7.5-1_all.deb


Advertisement

Description

python-axiom - Python object database

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-axiom
Package version: 0.7.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 870 B
Download size: 170.78 KB
Official Mirror: archive.ubuntu.com
Divmod Axiom is an object database, or alternatively, an object-relational mapper, implemented on top of Python. Its primary goal is to provide an object-oriented layer with the key aspects of OOP (Object Oriented Programming), i.e. polymorphism and message dispatch, without hindering the power of an RDBMS (Relational DataBase Management System). Axiom is a live database, not only an SQL generation tool: it includes an implementation of a scheduler service, external file references, automatic upgrades, robust failure handling, and Twisted integration. Axiom is tightly integrated with Twisted, and can store, start, and stop Twisted services directly from the database using the included 'axiomatic' command-line tool. Note: Axiom currently supports only SQLite and does NOT have any features for dealing with concurrency.

Alternatives

    Download

    Source package: python-axiom

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-axiom deb package:
      # sudo apt-get install python-axiom

    Files

    • /usr/bin/axiomatic
    • /usr/lib/python2.7/dist-packages/Axiom-0.7.5.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/Axiom-0.7.5.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/Axiom-0.7.5.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/Axiom-0.7.5.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/axiom/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/_fincache.py
    • /usr/lib/python2.7/dist-packages/axiom/_pysqlite2.py
    • /usr/lib/python2.7/dist-packages/axiom/_schema.py
    • /usr/lib/python2.7/dist-packages/axiom/_version.py
    • /usr/lib/python2.7/dist-packages/axiom/attributes.py
    • /usr/lib/python2.7/dist-packages/axiom/batch.py
    • /usr/lib/python2.7/dist-packages/axiom/batch.tac
    • /usr/lib/python2.7/dist-packages/axiom/dependency.py
    • /usr/lib/python2.7/dist-packages/axiom/errors.py
    • /usr/lib/python2.7/dist-packages/axiom/iaxiom.py
    • /usr/lib/python2.7/dist-packages/axiom/item.py
    • /usr/lib/python2.7/dist-packages/axiom/listversions.py
    • /usr/lib/python2.7/dist-packages/axiom/queryutil.py
    • /usr/lib/python2.7/dist-packages/axiom/scheduler.py
    • /usr/lib/python2.7/dist-packages/axiom/sequence.py
    • /usr/lib/python2.7/dist-packages/axiom/slotmachine.py
    • /usr/lib/python2.7/dist-packages/axiom/store.py
    • /usr/lib/python2.7/dist-packages/axiom/substore.py
    • /usr/lib/python2.7/dist-packages/axiom/tags.py
    • /usr/lib/python2.7/dist-packages/axiom/upgrade.py
    • /usr/lib/python2.7/dist-packages/axiom/userbase.py
    • /usr/lib/python2.7/dist-packages/axiom/plugins/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/plugins/axiom_plugins.py
    • /usr/lib/python2.7/dist-packages/axiom/scripts/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/scripts/axiomatic.py
    • /usr/lib/python2.7/dist-packages/axiom/scripts/pysql.py
    • /usr/lib/python2.7/dist-packages/axiom/test/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/test/brokenapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/cursortest.py
    • /usr/lib/python2.7/dist-packages/axiom/test/deleteswordapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/itemtest.py
    • /usr/lib/python2.7/dist-packages/axiom/test/itemtestmain.py
    • /usr/lib/python2.7/dist-packages/axiom/test/morenewapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/newapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/newcirc.py
    • /usr/lib/python2.7/dist-packages/axiom/test/newobsolete.py
    • /usr/lib/python2.7/dist-packages/axiom/test/newpath.py
    • /usr/lib/python2.7/dist-packages/axiom/test/oldapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/oldcirc.py
    • /usr/lib/python2.7/dist-packages/axiom/test/oldobsolete.py
    • /usr/lib/python2.7/dist-packages/axiom/test/oldpath.py
    • /usr/lib/python2.7/dist-packages/axiom/test/onestepapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/openthenload.py
    • /usr/lib/python2.7/dist-packages/axiom/test/path_postcopy.py
    • /usr/lib/python2.7/dist-packages/axiom/test/reactorimporthelper.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_attributes.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_axiomatic.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_batch.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_count.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_crossstore.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_dependency.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_files.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_fincache.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_inheritance.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_item.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_listversions.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_mixin.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_paginate.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_powerup.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_pysqlite2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_query.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_queryutil.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_reference.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_reprs.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_scheduler.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_sequence.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_slotmachine.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_substore.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_tablecreate.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_tags.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_unavailable_type.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_upgrading.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_userbase.py
    • /usr/lib/python2.7/dist-packages/axiom/test/test_xatop.py
    • /usr/lib/python2.7/dist-packages/axiom/test/toonewapp.py
    • /usr/lib/python2.7/dist-packages/axiom/test/util.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/account1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/catalog1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/loginMethod1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/manhole1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/parentHook2to3.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/parentHook3to4.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/processor1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/scheduler1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_account1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_catalog1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_loginMethod1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_manhole1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_parentHook2to3.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_parentHook3to4.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_processor1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_scheduler1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_subStoreStartupService1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_subscheduler1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stub_textlist.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/stubloader.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/subStoreStartupService1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/subscheduler1to2.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_account1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_catalog1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_loginMethod1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_manhole1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_parentHook2to3.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_parentHook3to4.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_processor1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_scheduler1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_subStoreStartupService1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_subscheduler1to2.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/test_textlist.py
    • /usr/lib/python2.7/dist-packages/axiom/test/historic/textlist.axiom.tbz2
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/__init__.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/override_init_new.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/override_init_old.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/reentrant_new.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/reentrant_old.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/replace_attribute_new.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/replace_attribute_old.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/replace_delete_new.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/replace_delete_old.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/two_upgrades_new.py
    • /usr/lib/python2.7/dist-packages/axiom/test/upgrade_fixtures/two_upgrades_old.py
    • /usr/lib/python2.7/dist-packages/twisted/plugins/axiom_plugins.py
    • /usr/share/doc/python-axiom/changelog.Debian.gz
    • /usr/share/doc/python-axiom/copyright
    • /usr/share/doc/python-axiom/examples/bucket.py
    • /usr/share/doc/python-axiom/examples/library.py
    • /usr/share/man/man1/axiomatic.1.gz

    Changelog

    2016-02-04 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.5-1) unstable; urgency=medium * New upstream version. - Update upstream keyring. * Use https in Vcs-Git. * Update Homepage. * Bump required Python version to 2.7 since upstream no longer officially supports 2.6. (This has no real effect other than more accurate metadata).

    2015-08-15 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.4-1) unstable; urgency=medium * New upstream release. - Fixes compatibility with python-twisted 15.3.0. * Raise debhelper compat level to 9. * Remove unnecessary XS-Testsuite control field.

    2015-05-08 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.3-1) unstable; urgency=high * New upstream release. - Urgency high, because 0.7.2 and 0.7.3 include potential data loss fixes. - Should have happened with the previous upload, but apparently I'm blind as well as forgetful.

    2015-05-02 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.1-3) unstable; urgency=medium * Fix priority (should be extra because of python-twisted-conch dependency). * Switch debian/watch to pypi.debian.net redirector. * Build-Depend on dh-python. * Bump Standards-Version to 3.9.6 (no changes).

    2014-03-29 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.1-2) unstable; urgency=medium * Enable automated tests via autopkgtest.

    2014-03-22 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.7.1-1) unstable; urgency=low * New upstream release. - Remove 1209082-remove-bogus-performance-tests.diff (merged upstream). - Build-Depend on setuptools. * Remove _trial_temp in clean target. (Closes: #671096) * Remove MetaItem comparison methods patch (this was fixed in CPython itself, see <http://bugs.python.org/issue7491>). * Bump Python version specification (upstream only supports 2.6 and 2.7). * Drop no longer needed python-twisted-conch dependency. (Closes: #591282) * Clean up plugin cache in postrm. (Closes: #672154) * Switch to trigger-based handling of plugin caches. - We now use the twisted-plugins-cache trigger to rebuild the Twisted plugins cache as well as providing our own axiom-plugins-cache trigger. * Bump Standards-Version. * Add uscan signature verification.

    2013-08-11 - Tristan Seligmann <mithrandi@debian.org> python-axiom (0.6.0-4) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. * Fix a typo in the package description. [ Tristan Seligmann ] * Fix watch file. * Update my email address. * Remove failing performance tests. (Closes: #711804) * Fix grammar in axiomatic(1) man page. * Bump Standards-Version. * Ship upstream NEWS.txt which was omitted from the source tarball accidentally. * Use Breaks instead of Conflicts against libsqlite3-0. * Set PYTHONDONTWRITEBYTECODE during build. * Update Homepage.

    2012-03-09 - Arthur de Jong <adejong@debian.org> python-axiom (0.6.0-3) unstable; urgency=low * Team upload. [ Vincent Bernat ] * Remove dependency to quilt. Adjust debian/rules accordingly. [ Arthur de Jong ] * Moved packaging from python-central to dh_python2 (Closes: #616994).

    2010-03-02 - Vincent Bernat <bernat@debian.org> python-axiom (0.6.0-2) unstable; urgency=low [ Jakub Wilk ] * Make the package ready for Python 2.6. Closes: #557925 - Fix debian/runtrail.py to deal with site-packages/dist-packages discrepancy. - Patch the axiom.Item.MetaItem class so that comparisons work as intended. - Build-depend on python-epsilon (>= 0.6.0-2), which fixes build failure. * Use quilt to manage patches. [ Vincent Bernat ] * Bump Standards-Version to 3.8.4. * Switch to 3.0 (quilt) format.

    Advertisement
    Advertisement